Bug 439262 - Alternative text not displayed for inaccessible inline images
Summary: Alternative text not displayed for inaccessible inline images
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: markdown backend (show other bugs)
Version: 21.04.2
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-28 13:57 UTC by Christopher Yeleighton
Modified: 2021-07-08 00:51 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2021-06-28 13:57:18 UTC
SUMMARY
Inline images are not displayed in Okular

STEPS TO REPRODUCE
1. { echo >exhibit.md 'An inline image

![alt text](https://nodei.co/npm/workshopper-exercise.png?foo)

neither image nor alt text displayed
' && okular exhibit.md
}

OBSERVED RESULT
Neither image nor alt text for the image

EXPECTED RESULT
Either

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 5.12.12-1-default (64-bit)
(available in About System)
KDE Plasma Version: 5.22.1
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Christopher Yeleighton 2021-06-28 14:11:06 UTC
The markdown component does not exist.
Comment 2 Yuri Chornoivan 2021-06-28 14:19:45 UTC
Works perfectly here with discount package installed.

The code for test.md (1.png is stored in the same directory):

An inline image

![alt text](1.png)

P.S. For good reasons Okular does not open external addresses.
Comment 3 Christopher Yeleighton 2021-06-28 14:22:44 UTC
(In reply to Yuri Chornoivan from comment #2)
> Works perfectly here with discount package installed.
> 
> The code for test.md (1.png is stored in the same directory):
> 
> An inline image
> 
> ![alt text](1.png)
> 
> P.S. For good reasons Okular does not open external addresses.

That does not absolve Okular from displaying alternative text.
Comment 4 Luigi Toscano 2021-06-28 15:17:53 UTC
(In reply to Christopher Yeleighton from comment #3)
> (In reply to Yuri Chornoivan from comment #2)
> > Works perfectly here with discount package installed.
> > 
> > The code for test.md (1.png is stored in the same directory):
> > 
> > An inline image
> > 
> > ![alt text](1.png)
> > 
> > P.S. For good reasons Okular does not open external addresses.
> 
> That does not absolve Okular from displaying alternative text.

Then please fix the bug description, which does not reflect the issue as images are indeed shown?
Comment 5 Bug Janitor Service 2021-06-29 11:43:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/447